#
# spec file for package perl-IO-Handle-Util
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Handle-Util
Version:        0.01
Release:        lp150.1.3
%define cpan_name IO-Handle-Util
Summary:        Functions for working with L<IO::Handle> like objects
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Handle-Util/
Source0:        IO-Handle-Util-0.01.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::use::ok)
BuildRequires:  perl(asa)
BuildRequires:  perl(parent)
Requires:       perl(IO::String)
Requires:       perl(Sub::Exporter)
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Test::use::ok)
Requires:       perl(asa)
Requires:       perl(parent)
%{perl_requires}

%description
This module provides a number of helpful routines to manipulate or create
the IO::Handle manpage like objects.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)

%changelog
* Wed Jan 27 2016 ncutler@suse.com
- replace spec file with one generated by cpanspec
- drop no_plan patch
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Fri Nov  5 2010 pascal.bleser@opensuse.org
- initial package (0.01)
